'use client';

import Image from 'next/image';
import Link from 'next/link';

export default function Footer() {
  return (
    <footer className="py-10 border-t border-gray-200 footer">
      <div className="container mx-auto px-6 flex flex-wrap">
        {/* Column 1: Logo + Description + Copyright */}
        <div className="w-full sm:w-1/2 lg:w-2/5 mb-6">
          <Link href="/" className="inline-block mb-4">
            <Image
              src="/logo.png"
              alt="Logo"
              width={120}
              height={30}
              priority
            />
          </Link>
          <p className="mb-4 md:max-w-[80%]">
            At Teqsol, we're more than developers. We're problem-solvers, innovators, and collaborators. Our mission is to equip businesses.
          </p>
          <p className="">
            © {new Date().getFullYear()} Teqsol. All rights reserved.
          </p>
        </div>

        {/* Column 2 */}
        <div className="w-full sm:w-1/2 lg:w-1/5 mb-6">
          <h3 className="font-semibold mb-4">Useful Links</h3>
          <ul>
            <li><Link href="/" className="">Home</Link></li>
            <li><Link href="/about" className="hover:underline">About Us</Link></li>
            <li><Link href="/services" className="mt-4">Services</Link></li>
            <li><Link href="/contact" className="hover:underline">Contact Us</Link></li>
          </ul>
        </div>

        {/* Column 3 */}
        <div className="w-full sm:w-1/2 lg:w-1/5 mb-6">
          <h3 className="font-semibold mb-4">Service</h3>
          <ul>
            <li><Link href="/" className="hover:underline">Branding</Link></li>
            <li><Link href="/" className="hover:underline">Web Design</Link></li>
            <li><Link href="/" className="hover:underline">Web Development</Link></li>
            <li><Link href="/" className="hover:underline">SEO</Link></li>
            <li><Link href="/" className="hover:underline">UI/UX Design</Link></li>
            <li><Link href="/" className="hover:underline">Digital Marketing</Link></li>
          </ul>
        </div>

        {/* Column 4 */}
        <div className="w-full sm:w-1/2 lg:w-1/5 mb-6">
          <h3 className="font-semibold mb-4">Contact</h3>
          <ul>
            <li><Link href="/" className="hover:underline">hello@teqsol.com</Link></li>
            <li><Link href="/" className="hover:underline">+1 (234) 567-8901</Link></li>
            <li><Link href="/" className="hover:underline">123 Teqsol Street, New York, NY </Link></li>
          </ul>
        </div>

      </div>
    </footer>
  );
}
